package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.PersonPhoneBook;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;

public interface PersonPhoneBookService {
	PersonPhoneBook get(String id);
	boolean exist(String id);
	@Validated
	int insert(@Valid PersonPhoneBook model);
	@Validated
	int update(@Valid PersonPhoneBook model);
	int delete(String id);
	List<PersonPhoneBook> list();
	Page<PersonPhoneBook> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<PersonPhoneBook> findByPersonIdAndUrgent(Long personId,Boolean urgentStatus);

}